Resync not possible after upgrade from Ubuntu 12.04 to 14.04

Discussion in 'Installation/Configuration' started by s-andersen, Mar 23, 2016.

  1. s-andersen

    s-andersen New Member

    I have just upgraded Ubuntu from 12.04 to 14.04, which also changed apache 2.2 to 2.4.
    Interface is running and I'm trying to do a resync, to get the websites up to apache 2.4 syntax, but it is not working. Ispconfig produces a lot of .vhost.err files in "sites-available"
    Up until now it has been a pain, but now I think I'm closing in on my issue.
    It seems that the file: from ISPconfig comes with some Apache 2.2 syntax for enabling webDAV.
    (search for "Allow,Deny")
    I have changed it to 2.4 syntax, but this will probably become a problem the next time ISPconfig is updated.
    Can someone confirm that this is indeed the only way to solve this issue currently?
  2. Active Member

    cd /tmp
    tar xvfz ISPConfig-3-stable.tar.gz
    cd ispconfig3_install/install
    php -q update.php
    should fix the 2.4 syntax issue - however I'm not quite sure for webDAV now you mentioning it explicitly - did you do manual update already?

    This should have changed the allow,deny stuff in the vhosts files - if so and you still got an error with webDAV, it won't help - if not, you should defnitly try it.
  3. s-andersen

    s-andersen New Member, I have run the manual installation of ISPconfig close to 10 times during the update to 14.04, so that's not helping.
    I have changed the php-file mentioned in my post, and now everything works brilliantly.
    There should be a check in that PHP file, to see if apache is running at version 2.2 or 2.4.
 likes this.

Share This Page